# PXMLRPCStructBase Class Reference

`#include <pxmlrpc.h>`

Inheritance diagram for PXMLRPCStructBase:

List of all members.

## Public Member Functions

void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream.
PINDEX | GetNumVariables () const
PXMLRPCVariableBase & | GetVariable (PINDEX idx) const
PXMLRPCVariableBase * | GetVariable (const char *name) const
void | AddVariable (PXMLRPCVariableBase *var)

## Static Public Member Functions

static PXMLRPCStructBase & | GetInitialiser ()

## Protected Member Functions

| PXMLRPCStructBase ()
PXMLRPCStructBase & | operator= (const PXMLRPCStructBase &)
void | EndConstructor ()

## Protected Attributes

PArray< PXMLRPCVariableBase > | variablesByOrder
PDictionary< PString, PXMLRPCVariableBase > | variablesByName
PXMLRPCStructBase * | initialiserStack

## Static Protected Attributes

static PMutex | initialiserMutex
static PXMLRPCStructBase * | initialiserInstance

## Constructor & Destructor Documentation

PXMLRPCStructBase::PXMLRPCStructBase | ( |  | ) | `[protected]`

## Member Function Documentation

void PXMLRPCStructBase::AddVariable | ( | PXMLRPCVariableBase * | var | ) |

void PXMLRPCStructBase::EndConstructor | ( |  | ) | `[protected]`

static PXMLRPCStructBase& PXMLRPCStructBase::GetInitialiser | ( |  | ) | `[inline, static]`

PINDEX PXMLRPCStructBase::GetNumVariables | ( |  | ) | const`[inline]`

PXMLRPCVariableBase* PXMLRPCStructBase::GetVariable | ( | const char * | name | ) | const`[inline]`

PXMLRPCVariableBase& PXMLRPCStructBase::GetVariable | ( | PINDEX | idx | ) | const`[inline]`

PXMLRPCStructBase& PXMLRPCStructBase::operator= | ( | const PXMLRPCStructBase & |  | ) | `[protected]`

void PXMLRPCStructBase::PrintOn | ( | ostream & | strm | ) | const`[virtual]`

Output the contents of the object to the stream.

The exact output is dependent on the exact semantics of the descendent class. This is primarily used by the standard `operator<<` function.

The default behaviour is to print the class name.

Reimplemented from PObject.

## Member Data Documentation

PXMLRPCStructBase* PXMLRPCStructBase::initialiserInstance `[static, protected]`

PMutex PXMLRPCStructBase::initialiserMutex `[static, protected]`

PXMLRPCStructBase* PXMLRPCStructBase::initialiserStack `[protected]`

PDictionary<PString, PXMLRPCVariableBase> PXMLRPCStructBase::variablesByName `[protected]`

PArray<PXMLRPCVariableBase> PXMLRPCStructBase::variablesByOrder `[protected]`

The documentation for this class was generated from the following file:

- pxmlrpc.h